#!/bin/bash -e

echo "======================= Installing gcc 10.1.0 ======================"
add-apt-repository -y ppa:ubuntu-toolchain-r/test
apt-get update
apt-get install \
  gcc-10 \
  g++-10
update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-10 90 --slave /usr/bin/g++ g++ /usr/bin/g++-10
update-alternatives --install /usr/bin/gcov gcov /usr/bin/gcov-10 90
gcc --version
echo "================== Successfully Installed gcc 10.1.0 ==============="

echo "=================== Install packages for cpp ======================"

apt-get install && apt-get install \
  autoconf \
  automake \
  ccache \
  libssl-dev

CLANG_VERSION=10.0.0*
echo "==================== Installing clang $CLANG_VERSION ==============="
apt-get install clang-10=1:"$CLANG_VERSION"
update-alternatives --install /usr/bin/clang clang /usr/bin/clang-10 90 --slave /usr/bin/clang++ clang++ /usr/bin/clang++-10
clang --version
echo "============= Successfully Installed clang $CLANG_VERSION ==========="
